namespace EEMSClientCore;

public class ClientCaller : IClientCaller
{
    Task<Guid> IClientCaller.RegisterDevice(DeviceInfo deviceInfo)
    {
        HubBase.Invoke("RegisterDevice", deviceInfo, out Guid guid);
        return Task.FromResult(guid);
    }

    Task<bool> IClientCaller.FilePack(Guid guid, byte[] buffer, int current, int total)
    {
        return HubBase.Send("FilePack", guid, buffer, current, total);
    }
}
